cdac.medinfo.sdk.hl7282.hl7model.messages.patientcare

## Class PPP_PCB

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientcare.PPP_PCB_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientcare.PPP_PCB

-     public final class PPP_PCB
      extends PPP_PCB_Common

  PPP_PCB - Patient Pathway Message (Problem-Oriented) (Events PCB). This message is use for Patient Pathway Problem-Oriented Message.

  Represents a PPP_PCB message structure (see chapter 12.3.3). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential Segment) SINGLE_OPTIONAL
  3: PID (Patient Identification Segment) SINGLE_COMPULSARY
  4: PATIENT_VISIT (a Group in PPP_PCB message) SINGLE_OPTIONAL
  5: PATHWAY (a Group in PPP_PCB message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  PPP_PCB objPCB = (PPP_PCB)MessageFactory.createInstance().createSendSupportedMessage("PPP", "PCB");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.patientcare.PPP_PCB_Common

      `addPathwayGroup, addPathwayGroups, addSoftwareSegment, addSoftwareSegment, getPathwayGroups, getPatientIdentificationSegment, getPatientVisitGroup, getSoftwareSegments, getUserAuthenticationCredentialSegment, setPatientIdentificationSegment, setPatientVisitGroup, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`